import { ServerConfigService } from '../_services/server-config.service';
import * as i0 from "@angular/core";
export declare class Utils {
    private scService;
    lastControlID: number;
    viewContainerCount: number;
    constructor(scService: ServerConfigService);
    getSDKStaticContentUrl(): string;
    consoleKidDump(pConn: any, level?: number, kidNum?: number): void;
    htmlDecode(sVal: string): string | null;
    getUniqueControlID(): string;
    getOptionList(configProps: any, dataObject: any): any[];
    handleAssociatedList(configProps: any): any[];
    handleDataPageList(configProps: any, dataObject: any): any[];
    transformListSourceItems(listSourceItems: any[]): any[];
    getInitials(userName: string): string;
    getImageSrc(name: string, serverUrl: string): string;
    getIconPath(serverUrl: string): string;
    getBooleanValue(inValue: any): boolean;
    generateDate(dateVal: any, dateFormat: any): any;
    generateDateTime(dateTimeVal: any, dateFormat: any): any;
    getIconFromFileType(fileType: any): string;
    getIconForAttachment(attachment: any): any;
    addViewContainer(): void;
    removeViewContainer(): void;
    okToAddContainerToVC(): boolean;
    getUserId: (user: any) => string;
    static sdkGetAuthHeader(): string;
    static isEmptyObject(obj: Object): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<Utils, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Utils>;
}
